/**
 * OW2 Util
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 *
 * --------------------------------------------------------------------------
 * $Id: PoolListenerAdapter.java 5224 2009-11-08 14:00:33Z gaellalire $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.pool.impl.enhanced.impl.listener;

import org.ow2.util.pool.impl.enhanced.api.IWaitControl;
import org.ow2.util.pool.impl.enhanced.api.listener.IPoolListener;

/**
 *
 * @author Gael Lalire
 * @param <T>
 */
public class PoolListenerAdapter<T> implements IPoolListener<T> {

    public void getMethodCalled(final IWaitControl timeout) {
    }

    public void getMethodFailed(final Exception e, final IWaitControl timeout) {
    }

    public void getMethodReturned(final T result, final IWaitControl timeout) {
    }

    public void putMethodCalled(final T poolItem) {
    }

    public void putMethodFailed(final Exception e, final T poolItem) {
    }

    public void putMethodReturned(final T poolItem) {
    }

    public void removeMethodCalled(final T poolItem) {
    }

    public void removeMethodFailed(final Exception e, final T poolItem) {
    }

    public void removeMethodReturned(final T poolItem) {
    }

    public void signalAllWaitersMethodCalled() {
    }

    public void signalAllWaitersMethodFailed(final Exception e) {
    }

    public void signalAllWaitersMethodReturned() {
    }

}
